//
// UIViewController+Privilege.m
// GoToBus
//
// Created by iphone development on 6/7/14.
//
//

#import "UIViewController+Privilege.h"
#import <BlocksKit/NSObject+BKAssociatedObjects.h>

@implementation UIViewController (Privilege)

- (BOOL)allowsCheckIn {
	return [[self bk_associatedValueForKey:@selector(allowsCheckIn)] boolValue];
}

- (void)setAllowsCheckIn:(BOOL)allowsCheckIn {
	[self bk_associateValue:@(allowsCheckIn) withKey:@selector(allowsCheckIn)];
}

- (BOOL)allowsShowMap {
	return [[self bk_associatedValueForKey:@selector(allowsShowMap)] boolValue];
}

- (void)setAllowsShowMap:(BOOL)allowsShowMap {
	[self bk_associateValue:@(allowsShowMap) withKey:@selector(allowsShowMap)];
}

- (BOOL)allowsSelfCheckIn {
	return [[self bk_associatedValueForKey:@selector(allowsSelfCheckIn)] boolValue];
}

- (void)setAllowsSelfCheckIn:(BOOL)allowsSelfCheckIn {
	[self bk_associateValue:@(allowsSelfCheckIn) withKey:@selector(allowsSelfCheckIn)];
}

- (BOOL)allowsSelfReschedule {
	return [[self bk_associatedValueForKey:@selector(allowsSelfReschedule)] boolValue];
}

- (void)setAllowsSelfReschedule:(BOOL)allowsSelfReschedule {
	[self bk_associateValue:@(allowsSelfReschedule) withKey:@selector(allowsSelfReschedule)];
}

- (BOOL)allowsShowBarcode {
	return [[self bk_associatedValueForKey:@selector(allowsShowBarcode)] boolValue];
}

- (void)setAllowsShowBarcode:(BOOL)allowsShowBarcode {
	[self bk_associateValue:@(allowsShowBarcode) withKey:@selector(allowsShowBarcode)];
}

@end
